void iic_start(void)
{
   /* Sets up a start condition. */

   if ( ( inp(LPT_READ) & 0x40 ) == 0 )
   {
      /* Clock is already low; so set it high.  */
      outp(LPT_WRITE, 2); /* SDA high, SCL low  */
      outp(LPT_WRITE, 0); /* SDA high, SCL high */
   }

   outp(LPT_WRITE, 1);    /* SDA low, SCL high  */
   outp(LPT_WRITE, 3);    /* SDA low, SCL low   */

   return;
}
